from labjack import ljm

rate = 10000

h = ljm.openS("T8", "USB", "ANY")
ljm.eStreamStop(h)

ljm.eWriteName(h, "STREAM_RESOLUTION_INDEX", 0)
ljm.eWriteName(h, "STREAM_SCANRATE_HZ", rate)

new_rate = ljm.eReadName(h, "STREAM_SUB_AIN_RATE")
new_res = ljm.eReadName(h, "STREAM_SUB_AIN_RESOLUTION_INDEX")
print(f"Sub Rate/Res: {new_rate}\t{new_res}")

ljm.eWriteName(h, "STREAM_SUB_AIN0", 1)
mask = ljm.eReadName(h, "STREAM_SUB_AIN_MASK")
print(f"Sub Stream Mask: {mask}")

actual = ljm.eStreamStart(h, 1, 3, [0, 2, 600], rate)
print(f"Stream Rate Actual: {actual}")

for i in range(int((rate/new_rate)*2)):
    data, a, b = ljm.eStreamRead(h)
    print(f"{data[0]}\t{data[1]}\t{data[2]}")

ljm.eStreamStop(h)
ljm.close(h)